/*-----------------------------------------------------*/
/*--	Micro-EMPIX Keyboard Drivers (Low)(KeybLow.c) -*/
/*--    Ver 1.0 (c) 2004                              -*/
/*--	E             -*/
/*--    ==================================            -*/
/*--    .                  -*/
/*--    .                        -*/
/*--    ..                       -*/
/*-----------------------------------------------------*/

#ifndef _DEFS_H
	#define _DEFS_H
	#include "defs.h"
#endif

/* ====================================================*/
/* ============== Function Prototypes =================*/
/* ====================================================*/

char bGetChar(unsigned char *ExtendedCode);

/*==========================================================================================*/
/*==============================   (BIOS) ===============================*/
/*==========================================================================================*/

/* H            BIOS 16H ( 0).  */
/*   ExtendedCode   NULL,    extended code,    */
/*  extended code     */

char bGetChar(unsigned char *ExtendedCode)
{
	char mret;
	unsigned char xx;
	asm XOR AH,AH

#if SIRQS_ISOLATED == 1
	asm PUSHF
	asm CLI
#endif
	asm int 16H
#if SIRQS_ISOLATED == 1
	asm POPF
#endif

	asm MOV mret,AL
	asm MOV xx, AH

	if(ExtendedCode) *ExtendedCode = xx;

	return mret;
}
